Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.tonbeller.jpivot.table.navi
Class DrillExpandPositionUI

    java.lang.Object
      com.tonbeller.jpivot.table.PartBuilderSupport
          com.tonbeller.jpivot.table.TableComponentExtensionSupport
              com.tonbeller.jpivot.table.navi.DrillExpandUI
                  com.tonbeller.jpivot.table.navi.DrillExpandPositionUI

All Implemented Interfaces:
  ModelChangeListener, PartBuilder, TableComponentExtension, Available, com.tonbeller.wcf.bookmarks.Bookmarkable, java.util.EventListener

    public class DrillExpandPositionUI

extends DrillExpandUI

Created on 29.11.2002

Author:
  av

Field Summary
`static java.lang.String` | `ID`

Fields inherited from class com.tonbeller.jpivot.table.TableComponentExtensionSupport
`enabled`

Fields inherited from class com.tonbeller.jpivot.table.PartBuilderSupport
`table`

Fields inherited from interface com.tonbeller.wcf.bookmarks.Bookmarkable
`EXTENSIONAL, INTENSIONAL`

Constructor Summary
`DrillExpandPositionUI()`

Method Summary
`protected boolean` | `canCollapse(Span span)`
`protected boolean` | `canExpand(Span span)`
`protected void` | `collapse(Span span)`
`protected void` | `expand(Span span)`
`protected java.lang.String` | `getCollapseImage()`
`protected java.lang.String` | `getExpandImage()`
`java.lang.String` | `getId()` unique name of this extension.
`protected java.lang.String` | `getOtherImage()`
`protected boolean` | `initializeExtension()`

Methods inherited from class com.tonbeller.jpivot.table.navi.DrillExpandUI
`initialize, isAvailable, modelChanged, startBuild, structureChanged`

Methods inherited from class com.tonbeller.jpivot.table.TableComponentExtensionSupport
`getBookmarkState, isEnabled, setBookmarkState, setEnabled`

Methods inherited from class com.tonbeller.jpivot.table.PartBuilderSupport
`destroy, setDirty, stopBuild`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface com.tonbeller.jpivot.table.PartBuilder
`destroy, stopBuild`

Field Detail

### ID

    public static final java.lang.String ID

See Also:
  Constant Field Values

Constructor Detail

### DrillExpandPositionUI

    public DrillExpandPositionUI()

Method Detail

### getId

    public java.lang.String getId()

  Description copied from interface: `TableComponentExtension`
  unique name of this extension. Used for JSP programming

### initializeExtension

    protected boolean initializeExtension()

  Specified by:
    `initializeExtension` in class `DrillExpandUI`
  Returns:
    true if extension is available

### canExpand

    protected boolean canExpand(Span span)

  Specified by:
    `canExpand` in class `DrillExpandUI`

### canCollapse

    protected boolean canCollapse(Span span)

  Specified by:
    `canCollapse` in class `DrillExpandUI`

### expand

    protected void expand(Span span)

  Specified by:
    `expand` in class `DrillExpandUI`

### collapse

    protected void collapse(Span span)

  Specified by:
    `collapse` in class `DrillExpandUI`

### getCollapseImage

    protected java.lang.String getCollapseImage()

  Specified by:
    `getCollapseImage` in class `DrillExpandUI`

### getExpandImage

    protected java.lang.String getExpandImage()

  Specified by:
    `getExpandImage` in class `DrillExpandUI`

### getOtherImage

    protected java.lang.String getOtherImage()

  Specified by:
    `getOtherImage` in class `DrillExpandUI`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD